[nexuiz-commits] r7382 - in trunk/data: . maps qcsrc/common qcsrc/menu/nexuiz qcsrc/server

DONOTREPLY at icculus.org DONOTREPLY at icculus.org
Fri Aug 7 09:59:18 EDT 2009


Author: div0
Date: 2009-08-07 09:59:17 -0400 (Fri, 07 Aug 2009)
New Revision: 7382

Added:
   trunk/data/apply-eol-style.sh
   trunk/data/eol-style.txt
   trunk/data/find-eol-style.sh
Modified:
   trunk/data/defaultNexuiz.cfg
   trunk/data/maps/aggressor.instantaction
   trunk/data/maps/aneurysm.instantaction
   trunk/data/maps/basement.instantaction
   trunk/data/maps/bloodprison.instantaction
   trunk/data/maps/darkzone.instantaction
   trunk/data/maps/desertfactory.bgs
   trunk/data/maps/downer.instantaction
   trunk/data/maps/entmerge.rb
   trunk/data/maps/farewell.instantaction
   trunk/data/maps/runningmanctf.waypoints.hardwired
   trunk/data/maps/slimepit.instantaction
   trunk/data/maps/tutorial.mapinfo
   trunk/data/maps/warfare.instantaction
   trunk/data/qcsrc/common/util.qc
   trunk/data/qcsrc/common/util.qh
   trunk/data/qcsrc/menu/nexuiz/serverlist.c
   trunk/data/qcsrc/menu/nexuiz/util.qc
   trunk/data/qcsrc/menu/nexuiz/util.qh
   trunk/data/qcsrc/server/constants.qh
   trunk/data/qcsrc/server/g_damage.qc
   trunk/data/qcsrc/server/miscfunctions.qc
Log:
weapon force factor


Added: trunk/data/apply-eol-style.sh
===================================================================
--- trunk/data/apply-eol-style.sh	                        (rev 0)
+++ trunk/data/apply-eol-style.sh	2009-08-07 13:59:17 UTC (rev 7382)
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+while read -r EXT EOLSTYLE; do
+	echo "Fixing $EXT..."
+	find . -name .svn -prune -o -type f \( -name "*.$EXT" -o -name "$EXT" \) -print0 | \
+		case "$EOLSTYLE" in
+			1)
+				xargs -0 svn propset svn:eol-style native
+				;;
+			0)
+				xargs -0 svn propdel svn:eol-style
+				;;
+		esac
+done <eol-style.txt


Property changes on: trunk/data/apply-eol-style.sh
___________________________________________________________________
Name: svn:eol-style
   + native

Modified: trunk/data/defaultNexuiz.cfg
===================================================================
--- trunk/data/defaultNexuiz.cfg	2009-08-07 10:46:57 UTC (rev 7381)
+++ trunk/data/defaultNexuiz.cfg	2009-08-07 13:59:17 UTC (rev 7382)
@@ -24,7 +24,7 @@
 seta g_configversion 0	"Configuration file version (used to upgrade settings) 0: first run, or previous start was <2.4.1  Later, it's overridden by config.cfg, version ranges are defined in config_update.cfg"
 
 // default.cfg versioning (update using update-cvarcount.sh, run that every time after adding a new cvar)
-set cvar_check_default aed586a22dba9cc4fc03e03d90e60d6e
+set cvar_check_default cf10a5c13c0767a0f40fd748ce9a472c
 
 // Nexuiz version (formatted for machines)
 // used to determine if a client version is compatible
@@ -1306,7 +1306,7 @@
 // for menu server list (eventually make them have engine support?)
 seta menu_slist_showfull 1 "show servers even if they are full and have no slots to join"
 seta menu_slist_showempty 1 "show servers even if they are no empty and have no opponents to play against"
-set menu_slist_modfilter "!havoc"
+set menu_slist_modfilter "=" // set to either: !modname or modname. modname of = means "same as we are running now".
 
 // for menu weapon arena
 set menu_weaponarena_with_laser 0 "also enable the Laser in this weapon arena"
@@ -1594,6 +1594,7 @@
 
 set g_weaponspeedfactor 1 "weapon fire rate multiplier"
 set g_weapondamagefactor 1 "weapon damage multiplier"
+set g_weaponforcefactor 1 "weapon force multiplier"
 
 set cl_effects_lightningarc_simple 0
 set cl_effects_lightningarc_segmentlength 64

Added: trunk/data/eol-style.txt
===================================================================
--- trunk/data/eol-style.txt	                        (rev 0)
+++ trunk/data/eol-style.txt	2009-08-07 13:59:17 UTC (rev 7382)
@@ -0,0 +1,56 @@
+animinfo 1
+ase 0
+bgs 1
+blend 0
+bsp 0
+c 1
+cache 0
+cbp 0
+cfg 1
+db 0
+def 1
+dem 0
+dpm 0
+framegroups 1
+h 1
+hardwired 1
+inc 1
+instantaction 1
+jpg 0
+lmp 0
+Makefile 1
+makespr32 1
+map 0
+mapinfo 1
+md3 0
+mdl 0
+modinfo 1
+obj 0
+ogg 0
+options 1
+pcx 0
+pk3 0
+pl 1
+png 0
+proj 1
+psd 0
+qc 1
+qh 1
+rb 1
+rc 1
+rtlights 0
+sh 1
+shader 1
+skin 1
+sounds 1
+sp2 0
+spr 0
+spr32 0
+src 1
+svg 0
+tga 0
+txt 1
+wav 0
+waypoints 0
+width 1
+zym 0


Property changes on: trunk/data/eol-style.txt
___________________________________________________________________
Name: svn:eol-style
   + native

Added: trunk/data/find-eol-style.sh
===================================================================
--- trunk/data/find-eol-style.sh	                        (rev 0)
+++ trunk/data/find-eol-style.sh	2009-08-07 13:59:17 UTC (rev 7382)
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+allstatus=$(
+	find . -name .svn -prune -o -type f -print | while IFS= read -r LINE; do
+		ext=${LINE##*/}
+		ext=${ext##*.}
+		if s=`svn propget svn:eol-style "$LINE"`; then
+			case "$s" in
+				*native*)
+					echo "$ext 1"
+					;;
+				*)
+					echo "$ext 0"
+					;;
+			esac
+		fi
+	done | sort -u
+)
+
+mixed=`echo "$allstatus" | rev | cut -c 3- | rev | uniq -d`
+if [ -n "$mixed" ]; then
+	echo "The following file extensions need to be manually fixed:"
+	echo "$mixed"
+	exit 1
+fi
+
+echo "$allstatus" > eol-style.txt


Property changes on: trunk/data/find-eol-style.sh
___________________________________________________________________
Name: svn:eol-style
   + native


Property changes on: trunk/data/maps/aggressor.instantaction
___________________________________________________________________
Name: svn:eol-style
   + native


Property changes on: trunk/data/maps/aneurysm.instantaction
___________________________________________________________________
Name: svn:eol-style
   + native


Property changes on: trunk/data/maps/basement.instantaction
___________________________________________________________________
Name: svn:eol-style
   + native


Property changes on: trunk/data/maps/bloodprison.instantaction
___________________________________________________________________
Name: svn:eol-style
   + native


Property changes on: trunk/data/maps/darkzone.instantaction
___________________________________________________________________
Name: svn:eol-style
   + native


Property changes on: trunk/data/maps/desertfactory.bgs
___________________________________________________________________
Name: svn:eol-style
   + native


Property changes on: trunk/data/maps/downer.instantaction
___________________________________________________________________
Name: svn:eol-style
   + native


Property changes on: trunk/data/maps/entmerge.rb
___________________________________________________________________
Name: svn:eol-style
   + native


Property changes on: trunk/data/maps/farewell.instantaction
___________________________________________________________________
Name: svn:eol-style
   + native


Property changes on: trunk/data/maps/runningmanctf.waypoints.hardwired
___________________________________________________________________
Name: svn:eol-style
   + native


Property changes on: trunk/data/maps/slimepit.instantaction
___________________________________________________________________
Name: svn:eol-style
   + native

Modified: trunk/data/maps/tutorial.mapinfo
===================================================================
--- trunk/data/maps/tutorial.mapinfo	2009-08-07 10:46:57 UTC (rev 7381)
+++ trunk/data/maps/tutorial.mapinfo	2009-08-07 13:59:17 UTC (rev 7382)
@@ -16,4 +16,5 @@
 settemp_for_type all g_balance_falldamage_minspeed 9999
 settemp_for_type all g_balance_kill_delay 1337
 settemp_for_type all g_use_ammunition 0
+settemp_for_type all sv_spectate 0
 clientsettemp_for_type all snd_mutewhenidle 0


Property changes on: trunk/data/maps/warfare.instantaction
___________________________________________________________________
Name: svn:eol-style
   + native

Modified: trunk/data/qcsrc/common/util.qc
===================================================================
--- trunk/data/qcsrc/common/util.qc	2009-08-07 10:46:57 UTC (rev 7381)
+++ trunk/data/qcsrc/common/util.qc	2009-08-07 13:59:17 UTC (rev 7382)
@@ -1604,3 +1604,15 @@
 	v_z = 0;
 	return v;
 }
+
+string getcurrentmod()
+{
+	float n;
+	string m;
+	m = cvar_string("fs_gamedir");
+	n = tokenize_console(m);
+	if(n == 0)
+		return "data";
+	else
+		return argv(n - 1);
+}

Modified: trunk/data/qcsrc/common/util.qh
===================================================================
--- trunk/data/qcsrc/common/util.qh	2009-08-07 10:46:57 UTC (rev 7381)
+++ trunk/data/qcsrc/common/util.qh	2009-08-07 13:59:17 UTC (rev 7382)
@@ -173,3 +173,5 @@
 
 vector healtharmor_maxdamage(float h, float a, float armorblock); // returns vector: maxdamage, armorideal, 1 if fully armored
 vector healtharmor_applydamage(float a, float armorblock, float damage); // returns vector: take, save, 0
+
+string getcurrentmod();

Modified: trunk/data/qcsrc/menu/nexuiz/serverlist.c
===================================================================
--- trunk/data/qcsrc/menu/nexuiz/serverlist.c	2009-08-07 10:46:57 UTC (rev 7381)
+++ trunk/data/qcsrc/menu/nexuiz/serverlist.c	2009-08-07 13:59:17 UTC (rev 7382)
@@ -213,9 +213,9 @@
 		if(modstr != "")
 		{
 			if(substring(modstr, 0, 1) == "!")
-				sethostcachemaskstring(++m, SLIST_FIELD_MOD, substring(modstr, 1, strlen(modstr) - 1), SLIST_TEST_NOTEQUAL);
+				sethostcachemaskstring(++m, SLIST_FIELD_MOD, resolvemod(substring(modstr, 1, strlen(modstr) - 1)), SLIST_TEST_NOTEQUAL);
 			else
-				sethostcachemaskstring(++m, SLIST_FIELD_MOD, modstr, SLIST_TEST_EQUAL);
+				sethostcachemaskstring(++m, SLIST_FIELD_MOD, resolvemod(modstr), SLIST_TEST_EQUAL);
 		}
 		m = SLIST_MASK_OR - 1;
 		if(s != "")

Modified: trunk/data/qcsrc/menu/nexuiz/util.qc
===================================================================
--- trunk/data/qcsrc/menu/nexuiz/util.qc	2009-08-07 10:46:57 UTC (rev 7381)
+++ trunk/data/qcsrc/menu/nexuiz/util.qc	2009-08-07 13:59:17 UTC (rev 7382)
@@ -358,3 +358,11 @@
 		campaign_won_previous = cvar(strcat("g_campaign", campaign_name, "_won"));
 	}
 }
+
+string resolvemod(string m)
+{
+	if(m == "=")
+		return getcurrentmod();
+	else
+		return m;
+}

Modified: trunk/data/qcsrc/menu/nexuiz/util.qh
===================================================================
--- trunk/data/qcsrc/menu/nexuiz/util.qh	2009-08-07 10:46:57 UTC (rev 7381)
+++ trunk/data/qcsrc/menu/nexuiz/util.qh	2009-08-07 13:59:17 UTC (rev 7382)
@@ -15,3 +15,5 @@
 void loadTooltips();
 void unloadTooltips();
 string getZonedTooltipForIdentifier(string s);
+
+string resolvemod(string m);

Modified: trunk/data/qcsrc/server/constants.qh
===================================================================
--- trunk/data/qcsrc/server/constants.qh	2009-08-07 10:46:57 UTC (rev 7381)
+++ trunk/data/qcsrc/server/constants.qh	2009-08-07 13:59:17 UTC (rev 7382)
@@ -1,4 +1,4 @@
-string CVAR_CHECK_DEFAULT = "aed586a22dba9cc4fc03e03d90e60d6e";
+string CVAR_CHECK_DEFAULT = "cf10a5c13c0767a0f40fd748ce9a472c";
 string CVAR_CHECK_WEAPONS = "a7ca57b891d66754b856e24e5c1745e3";
 
 float	FALSE					= 0;

Modified: trunk/data/qcsrc/server/g_damage.qc
===================================================================
--- trunk/data/qcsrc/server/g_damage.qc	2009-08-07 10:46:57 UTC (rev 7381)
+++ trunk/data/qcsrc/server/g_damage.qc	2009-08-07 13:59:17 UTC (rev 7382)
@@ -706,7 +706,12 @@
 		}
 
 		if not(DEATH_ISSPECIAL(deathtype))
+		{
 			damage *= g_weapondamagefactor;
+			mirrordamage *= g_weapondamagefactor;
+			force = force * g_weaponforcefactor;
+			mirrorforce *= g_weaponforcefactor;
+		}
 
 		// apply strength multiplier
 		if ((attacker.items & IT_STRENGTH) && !g_minstagib)

Modified: trunk/data/qcsrc/server/miscfunctions.qc
===================================================================
--- trunk/data/qcsrc/server/miscfunctions.qc	2009-08-07 10:46:57 UTC (rev 7381)
+++ trunk/data/qcsrc/server/miscfunctions.qc	2009-08-07 13:59:17 UTC (rev 7382)
@@ -705,6 +705,7 @@
 string g_weaponarena_list;
 float g_weaponspeedfactor;
 float g_weapondamagefactor;
+float g_weaponforcefactor;
 
 float start_weapons;
 float start_items;
@@ -1077,6 +1078,7 @@
 
     g_weaponspeedfactor = cvar("g_weaponspeedfactor");
     g_weapondamagefactor = cvar("g_weapondamagefactor");
+    g_weaponforcefactor = cvar("g_weaponforcefactor");
 
     g_pickup_shells                    = cvar("g_pickup_shells");
     g_pickup_shells_max                = cvar("g_pickup_shells_max");



More information about the nexuiz-commits mailing list